Older blog entries for torsten (starting at number 3)

Rebuilt python-gnome with python2.1 and uploaded the result. Had to hack configure to add the include dirs for gdk-pixbuf and gtkhtml - very ugly :-(

A problem remains: python-gtkglarea depends on python-opengl which is not yet built for python2.1. Wrote a bug report to ask the maintainer to do it. Enough for today, tired.

Worked on repackaging python-gnome for the new Python package in Debian. Problem is that I want to build for both python1.5 and python2.1. dh_movefiles does not like to move from different install trees so it seems I have to craft something by hand. Deferred for now. Building works so far but the result needs to get installed into the packages trees.

Had a look at my bug reports:

  • 115308: Looks like I built a new python-gnome against libgal11 but never uploaded it. Silly me!
  • 108039: Found out that the installed shared libraries are only needed for special SWIG wrappers with runtime type information. I am going to split those libraries out. Not sure what to do about versioning though.
  • 112011: Seems like gsfonts in testing is too new for the gs available in the same distribution. I guess we can only wait until the current gs gets into testing.

Checked update_excuses for why gs is not current in testing. Seems like the autobuild failed due to libgimpprint-dev being unavailable on mipsel :-(( Wrote an email to debian-{devel,mips} explaining the situation.

19 Sep 2001 (updated 19 Sep 2001 at 21:36 UTC) »

Spent most of the day for university and related stuff. Gave back a book which was I wanted to keep but which loan period I could not extend because somebody subscribed it already. Kind of silly since there were about 30 more copies available so I got it back from there. But I have to pay 6,10 DM because they sent me a reminder already. Morons! Guess I have to rewrite their online booking software.

Accordingly I did not have much time for free software. At least I managed to upload a new gnofin package which fixes the build failure on some architectures.

Did not even read the mailing lists or slashdot. Perhaps tomorrow. At least I managed to run a dist-upgrade and that way uninstalled parts of my kde. Left the fixing for tomorrow.

18 Sep 2001 (updated 18 Sep 2001 at 16:08 UTC) »

Today I spent my time looking at more of the bug reports of the Ghostscript packages I maintain for Debian.

I decided I should improve my contact with the upstream developers and subscribed to some mailing lists. I have to work out what is going on on the PA-RISC port regarding Ghostscript. Somehow the ps2pdf tool is failing on the doxygen documentation. I confirmed that the problem persists with my preview package of the 6.51 upstream version.

The idea that the Postscript file generated on PA-RISC is wrong was disproved by copying the .ps file to my local i386 machine and converting it with ps2pdf which went without a problem. So the Ghostscript interpreter seems to be defect on PA-RISC.

Hmpf, seems like the python-gtk packages does not install anymore in Debian unstable. Looks like the interface of the compileall script in python-base was changed. Do not have the time now to check, this will have to wait for tomorrow.

New Advogato Features

New HTML Parser: The long-awaited libxml2 based HTML parser code is live. It needs further work but already handles most markup better than the original parser.

Keep up with the latest Advogato features by reading the Advogato status blog.

If you're a C programmer with some spare time, take a look at the mod_virgule project page and help us with one of the tasks on the ToDo list!